# Event types (/api-reference/events/event-types)

## Event types

`GET https://data.tryopengrid.com/v1/events/types`

Event catalogue: triggers, severity rules, data kind.

### Parameters

- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `events` (array of object)
  - `description` (string)
  - `kind` (string)
  - `severity` (string)
  - `type` (string)
- `opportunities` (array of object)
  - `description` (string)
  - `kind` (string)
  - `type` (string)
- `severities` (array of string)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/events/types" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```